<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="ftp" id="bytes-by-user-by-period">

 <lire:title>Bytes by User by Period FTP Report</lire:title>
 <lire:description>
  <para>This report shows the bytes transferred by user by period.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="period" type="duration" default="1d">
   <lire:description>
    <para>This parameter controls the time period which is used to
     aggregate the records.
    </para>
   </lire:description>
  </lire:param>

  <lire:param name="users_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of users to
     display during each users.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Total Bytes Transferred by User by $period Period, Top
   $users_to_show users</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:timegroup period="$period" label="Period">
   <lire:group limit="$users_to_show" sort="-bytes_total">
    <lire:field name="username"/>

    <lire:sum name="bytes_total" field="file_size" label="Bytes"/>
    <lire:sum name="bytes_ratio" field="file_size" ratio="table" label="% Total"/>
    <lire:sum name="bytes_group_ratio" field="file_size" ratio="group" label="% Period"/>
   </lire:group>
  </lire:timegroup>
 </lire:report-calc-spec>

</lire:report-spec>

